<?php

namespace Nettuts\AspectDemo\Service\Logging;
use TYPO3\FLOW3\Annotations as FLOW3;

/**
 * @FLOW3\Aspect
 */
class LoggingAspect {

  /**
  * Log a message if this site is called.
  *
  * @param \TYPO3\FLOW3\AOP\JoinPointInterface $joinPoint
  * @FLOW3\Before("method(Nettuts\AspectDemo\Controller\StandardController->indexAction())")
  * @return void
  */
  public function logSiteAccess(\TYPO3\FLOW3\AOP\JoinPointInterface $joinPoint) {
      $filePath = '/home/chris/www/flow3/Data/Logs/Access.log';
      $message = 'The site has been accessed at ' . time() . '.' . PHP_EOL;
      file_put_contents($filePath, $message, FILE_APPEND);
  }

}
?>
